curl --request GET \
--url https://api.powertokens.ai/v1/videos/{task_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_abc123",
"object": "video",
"model": "MiniMax-Hailuo-2.3",
"status": "completed",
"progress": 100,
"created_at": 1742515200,
"completed_at": 1742515235,
"metadata": {
"url": "https://api.example.com/v1/videos/task_abc123/content"
}
}根据任务 ID 查询异步视频任务的最新状态。
任务完成后,响应中的 metadata.url 可用于继续访问结果地址;如果需要直接下载最终文件,请调用 /v1/videos/{task_id}/content。
curl --request GET \
--url https://api.powertokens.ai/v1/videos/{task_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_abc123",
"object": "video",
"model": "MiniMax-Hailuo-2.3",
"status": "completed",
"progress": 100,
"created_at": 1742515200,
"completed_at": 1742515235,
"metadata": {
"url": "https://api.example.com/v1/videos/task_abc123/content"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
公开视频任务 ID。